Bug 591013 - Hardware profile is not displayed under cs_CZ locale
Hardware profile is not displayed under cs_CZ locale
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 04:13 EDT by Kamil Páral
Modified: 2011-06-03 07:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 07:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
firstboot screenshot under cs_CZ locale (131.13 KB, image/png)
2010-05-11 04:13 EDT, Kamil Páral
no flags Details
firstboot output (1.30 KB, text/plain)
2010-05-11 04:13 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-05-11 04:13:17 EDT
Created attachment 413064 [details]
firstboot screenshot under cs_CZ locale

Description of problem:
When running firstboot under cs_CZ locale the hardware profile is not displayed in the GUI. Instead an error message is printed into the console:

Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 173, in <module>
    print line
UnicodeEncodeError: 'ascii' codec can't encode character u'\xed' in position 5: ordinal not in range(128)

Version-Release number of selected component (if applicable):
firstboot-1.110-1.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. Select Czech language in Anaconda
2. Install
3. Reboot
Comment 1 Kamil Páral 2010-05-11 04:13:33 EDT
Created attachment 413065 [details]
firstboot output
Comment 2 Kamil Páral 2010-05-11 04:16:49 EDT
This will probably affect all locales that have non-ascii characters in translations.
Comment 3 Fedora Admin XMLRPC Client 2011-02-08 16:15:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Kamil Páral 2011-03-07 07:30:30 EST
This is fixed with Fedora 15 Alpha.
Comment 5 Bug Zapper 2011-06-02 10:12:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kamil Páral 2011-06-03 07:50:22 EDT
Closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.